Page MenuHomePhabricator

Setup deployment-imagescaler host(s) in Beta Cluster
Closed, ResolvedPublic

Description

Once I'm done with T64835, I believe the only difference left should be that production swift uses rendering.svc.eqiad.wmnet which is a load balancer for imagescalers (production can have load balancers, and does have imagescalers), whereas deployment-prep swift uses deployment-cache-text04 to hit any MW app server (labs can't have load balancers AFAIK, and we don't have any imagescalers - yet?)

Yeah I imagine we'll get a proper imagescaler set up in T84950 which will fix this properly. Right now we use any MW appserver, which don't necessarily have all the packages that puppetised imagescalers get

Event Timeline

greg created this task.Aug 6 2016, 8:53 AM

So I just noticed we have deployment-imagescaler01, but it has puppet class role::thumbor::mediawiki instead of role::mediawiki::imagescaler
Can we/do we want to run both on that host? Any thoughts @Gilles?

Thumbor is meant to replace mediawiki image scaling entirely. We're not considering running both on the same machine. deployment-imagescaler01 is meant to be used for @fgiunchedi and I's current work transitioning to Thumbor. The current plan is to set up beta the same way we are also setting up production. We have a few thumbor machines provisioned in production, and my understanding is that Filippo set up deployment-imagescaler01 to use thumbor, so that we can set up beta the same way. I've been meaning to play around with the machine to see if thumbor works properly already, I'll probably get to that later this week.

The first step will be to have thumbor receive the same requests as the existing image scaler(s) and save them in a different location on swift. I believe the only part left to be done is the creating of the thumbor swift user and setting up access rights, etc. Which Filippo was planning on doing for both production and beta when he comes back from vacation next week.

For all intents and purposes, it makes more sense to have an instance dedicated to thumbor (despite the instance name), because that's what we're going for in production and ultimately it will be the way thumbnails served to users are generated.

Or we could also move faster on beta and have thumbnailing done entirely by thumbor there as soon as the swift part is set up, that's also a possibility.

AlexMonk-WMF added a comment.EditedAug 14 2016, 7:00 PM

@greg, any thoughts on whether we want to keep using MW imagescaling for the time being (like the current production setup), or start testing thumbor before it gets to production?

greg added a comment.Aug 15 2016, 7:35 PM

The first step will be to have thumbor receive the same requests as the existing image scaler(s) and save them in a different location on swift. I believe the only part left to be done is the creating of the thumbor swift user and setting up access rights, etc. Which Filippo was planning on doing for both production and beta when he comes back from vacation next week.

This makes sense to me at first understanding.

MarkTraceur moved this task from Untriaged to Tracking on the Multimedia board.Nov 30 2016, 7:32 PM
fgiunchedi closed this task as Resolved.Jul 24 2017, 9:29 AM
fgiunchedi claimed this task.

I believe this is all resolved, deployment-imagescaler01 runs thumbor in beta